

 /*-----------------------------------------------------------------------------
 * Copyright (C) 2004 by LABEN S.p.A.
 * All rights reserved.
 *
 * PROJECT:        AGILE                          CODE:|PROJECTCODE|
 * ------------------------------------------------------------------------
 * FILE NAME:      $RCSfile: ACCFG_ACFEECfgArea.c,v $
 * FILE TYPE:      C header
 * LANGUAGE:       C
 * SW DEV. ENV.:   VisualDSP 3.0 cc21k compiler, uC/OS-II  
 * TARGET:         ADSP21020
 * SYSTEM ENV.:    PC/Windows VisualDSP 3.0
 * NODE:           Agile Pdhu
 * ADD DOCUMENT:   TL20593
 * ADD OBJECT:     PDHU SW::Application SW::Configuration :: ACCFG
 * ------------------------------------------------------------------------
 * AUTHORS:        AGILE team
 * REVISION:       $Revision: 1.5 $
 * DATE:           $Date: 2005/03/30 10:11:16 $
 * PATH:           $Source: /home2/cvspayload/agile/development/src/PDHU\040SW/Application\040SW/Configuration/ACCFG_ACFEEConfigurator/ACCFG_ACFEECfgArea.c,v $
 *
 * DESCRIPTION:    AGILE PDHU SW AC FEE Configuration Area
 *                 
 *
 * REMARKS:
 *
 *
 * HISTORY:
 * 
 *
 *
 * ---------------------------------------------------------------------------*/

/** 
  \ingroup ACCFG_ACFEE
  \{
*/

/** \file 
	\brief AC FEE Configuration Area 
*/


#include "ACCFG_ACFEECfgArea.h"

/*-----------------------------------------------------------------------------
 * FIXED CONFIGURATION AREA in RAM
 * ---------------------------------------------------------------------------*/

 /*----------------- FIXED SW CONFIGURATION PARAMETERS -----------------------*/
 /*----------------- FIXED HW CONFIGURATION PARAMETERS -----------------------*/
 /*----------------- FIXED SW CONFIGURATION LUTS -----------------------------*/
 /*----------------- FIXED HW CONFIGURATION LUTS -----------------------------*/

/*-----------------------------------------------------------------------------
 * PROGRAMMABLE CONFIGURATION AREA in RAM
 * ---------------------------------------------------------------------------*/
/*----------------- PROGRAMMABLE SW CONFIGURATION PARAMETERS ----------------*/
/*----------------- PROGRAMMABLE HW CONFIGURATION PARAMETERS ----------------*/
 
/*----------------- AC Digital FEE Observation Parameters TC(33,5) ---------*/

/* Thresholds od AC TOP Discriminators 1..3 + spare */ 
unsigned long G_ACFEE_ACTopDisThrhlds; 

/* Thresholds od AC LAT Discriminators 1.. 12 */
unsigned long G_ACFEE_ACLatDisThrhlds[N_AC_LAT_DISCRIMINATORS];
 
/* Enable/Disable of AC TOP and AC LAT Discriminators */
unsigned long G_ACFEE_ACTopLatDisEn; 
  
unsigned long G_ACFEE_SAACVeto;	
  				
/*----------------- AC Digital FEE Calibration Parameters TC(33,6) ---------*/
unsigned long G_ACFEE_CalibStep;
unsigned long G_ACFEE_CalibAmplitudes [N_AC_CALIB_AMPLITUDES];  /* 16 */
unsigned long G_ACFEE_ACChanThrhlds   [N_AC_CALIB_THRHLDS];     /* 8 */

 
 
/*----------------- PROGRAMMABLE SW CONFIGURATION LUTS ----------------------*/
/*----------------- PROGRAMMABLE HW CONFIGURATION LUTS ----------------------*/

/*-----------------------------------------------------------------------------
 * REPLICA CONFIGURATION AREA in RAM
 * ---------------------------------------------------------------------------*/
/*----------------- REPLICA SW CONFIGURATION LUTS ---------------------------*/
/*----------------- REPLICA HW CONFIGURATION LUTS ---------------------------*/
 

 


